Skip to main content
PUT
https://app.famulor.de
/
api
/
user
/
knowledgebases
/
{id}
curl -X PUT "https://app.famulor.de/api/user/knowledgebases/1" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Updated Product Documentation",
    "description": "Updated description for our technical documents"
  }'
{
  "message": "Knowledgebase updated successfully.",
  "data": {
    "id": 1,
    "name": "Updated Product Documentation",
    "description": "Updated description for our technical documents",
    "status": "active",
    "status_label": "Active",
    "updated_at": "2025-01-08T15:45:00.000000Z"
  }
}
This endpoint updates the name and/or description of an existing knowledge base.

Path Parameters

id
integer
required
The unique identifier of the knowledge base to update

Request Body

name
string
The new name for the knowledge base (max. 255 characters)
description
string
The new description for the knowledge base (max. 255 characters)

Response Fields

message
string
Success message
data
object
The updated knowledge base object
Updating the name or description of a knowledge base does not affect its documents or processing status.
curl -X PUT "https://app.famulor.de/api/user/knowledgebases/1" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Updated Product Documentation",
    "description": "Updated description for our technical documents"
  }'
{
  "message": "Knowledgebase updated successfully.",
  "data": {
    "id": 1,
    "name": "Updated Product Documentation",
    "description": "Updated description for our technical documents",
    "status": "active",
    "status_label": "Active",
    "updated_at": "2025-01-08T15:45:00.000000Z"
  }
}